Subject: g++ 3.4.1
From: Martin Magnusson <[email-masked]>
To: [email-masked]
Date: Tue, 16 Nov 2004 18:25:40 +0100

I just tried upgrading from g++ 3.3.1 (which currently gives me an 
"internal compiler error" on my code) to the 3.4.1 version available 
from the Cygwin setup. After doing so, however, I get a flood of error 
messages about the many templates I have (such as "template-id xxx for 
yyy does not match any template declaration" and several other).

Should I start to adapt my code to gcc 3.4.1, or would it be safer to 
wait until it is available as default from the setup? Is it likely that 
the error messages I get is due to the Cygwin port, or would it be g++ 
itself?

/ martin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/